<app-header-toolbar></app-header-toolbar>
<ion-content>
  <div class="min-content-height">
    <ion-segment [(ngModel)]="routing.blockSegment" color="primary" (ionChange)="segmentChanged($event)">
      <ion-segment-button value="explorer">
        Block Explorer
      </ion-segment-button>
      <ion-segment-button value="my-pools">
        My Pools
      </ion-segment-button>
    </ion-segment>
    <ng-container *ngIf="routing.blockSegment === 'explorer'">
      <ion-row>
        <ion-col class="padding-sides">
          <ion-chip *ngIf="dataService.coin" color="tertiary">
            <ion-label>Coin Filter: <strong>{{ dataService.coin }}</strong></ion-label>
            <ion-chip-button slot="start" fill="clear" color="light" (click)="removeFilter('coin')">
              <ion-icon name="close-circle"></ion-icon>
            </ion-chip-button>
          </ion-chip>
          <ion-chip *ngIf="dataService.type" color="tertiary">
            <ion-label>Type Filter: <strong>{{ dataService.type | poolType }}</strong></ion-label>
            <ion-chip-button slot="start" fill="clear" color="light" (click)="removeFilter('pool_type')">
              <ion-icon name="close-circle"></ion-icon>
            </ion-chip-button>
          </ion-chip>
        </ion-col>
        <ion-col class="padding-sides" text-right>
          <ion-button (click)="addFilter('coin')" size="small" color="secondary">
            <ion-icon slot="start" name="add"></ion-icon>
            Token Filter
          </ion-button>
          <ion-button (click)="addFilter('pool_type')" size="small" color="secondary">
            <ion-icon slot="start" name="add"></ion-icon>
            Type Filter
          </ion-button>
          <ion-button (click)="addFilter('poolName')" size="small" color="secondary">
            <ion-icon slot="start" name="ios-analytics"></ion-icon>
            Select a Pool
          </ion-button>
        </ion-col>
      </ion-row>
      <ion-grid class="blocks animated" padding [class.fadeIn]="obtainedBlocks">
        <ion-row class="table-header-row">
          <ion-col class="col-valid">
            <ion-item button text-center (click)="changeFilter('valid')">
              <ion-label>Valid</ion-label>
              <ion-icon *ngIf="dataService.blockOrderBy === 'valid'" slot="end" name="{{ dataService.blockOrderByAsc ? 'arrow-dropup' : 'arrow-dropdown' }}"></ion-icon>
            </ion-item>
          </ion-col>
          <ion-col *ngIf="!dataService.coin">
            <ion-item button (click)="changeFilter('coin')">
              <ion-label>Token</ion-label>
              <ion-icon *ngIf="dataService.blockOrderBy === 'coin'" slot="end" name="{{ dataService.blockOrderByAsc ? 'arrow-dropup' : 'arrow-dropdown' }}"></ion-icon>
            </ion-item>
          </ion-col>
          <ion-col>
            <ion-item button (click)="changeFilter('poolName')">
              <ion-label>Pool</ion-label>
              <ion-icon *ngIf="dataService.blockOrderBy === 'poolName'" slot="end" name="{{ dataService.blockOrderByAsc ? 'arrow-dropup' : 'arrow-dropdown' }}"></ion-icon>
            </ion-item>
          </ion-col>
          <ion-col>
            <ion-item button (click)="changeFilter('ts')">
              <ion-label>Time</ion-label>
              <ion-icon *ngIf="dataService.blockOrderBy === 'ts'" slot="end" name="{{ dataService.blockOrderByAsc ? 'arrow-dropup' : 'arrow-dropdown' }}"></ion-icon>
            </ion-item>
          </ion-col>
          <ion-col>
            <ion-item button (click)="changeFilter('height')">
              <ion-label>Height</ion-label>
              <ion-icon *ngIf="dataService.blockOrderBy === 'height'" slot="end" name="{{ dataService.blockOrderByAsc ? 'arrow-dropup' : 'arrow-dropdown' }}"></ion-icon>
            </ion-item>
          </ion-col>
          <ion-col>
            <ion-item button (click)="changeFilter('diff')">
              <ion-label>Difficulty</ion-label>
              <ion-icon *ngIf="dataService.blockOrderBy === 'diff'" slot="end" name="{{ dataService.blockOrderByAsc ? 'arrow-dropup' : 'arrow-dropdown' }}"></ion-icon>
            </ion-item>
          </ion-col>
          <ion-col>
            <ion-item button (click)="changeFilter('hash')">
              <ion-label>Hash</ion-label>
              <ion-icon *ngIf="dataService.blockOrderBy === 'hash'" slot="end" name="{{ dataService.blockOrderByAsc ? 'arrow-dropup' : 'arrow-dropdown' }}"></ion-icon>
            </ion-item>
          </ion-col>
          <ion-col>
            <ion-item button (click)="changeFilter('shares')">
              <ion-label>Shares</ion-label>
              <ion-icon *ngIf="dataService.blockOrderBy === 'shares'" slot="end" name="{{ dataService.blockOrderByAsc ? 'arrow-dropup' : 'arrow-dropdown' }}"></ion-icon>
            </ion-item>
          </ion-col>
          <ion-col>
            <ion-item button (click)="changeFilter('unlocked')">
              <ion-label>Status</ion-label>
              <ion-icon *ngIf="dataService.blockOrderBy === 'unlocked'" slot="end" name="{{ dataService.blockOrderByAsc ? 'arrow-dropup' : 'arrow-dropdown' }}"></ion-icon>
            </ion-item>
          </ion-col>
          <ion-col>
            <ion-item button (click)="changeFilter('pool_type')">
              <ion-label>Type</ion-label>
              <ion-icon *ngIf="dataService.blockOrderBy === 'pool_type'" slot="end" name="{{ dataService.blockOrderByAsc ? 'arrow-dropup' : 'arrow-dropdown' }}"></ion-icon>
            </ion-item>
          </ion-col>
        </ion-row>
        <ion-row class="block-row" *ngFor="let block of blocks; trackBy: trackByFn;" [class.changed]="hasChanged('', block)">
          <ion-col class="col-valid no-padding-left transition" [class.changed]="hasChanged('valid', block)">
            <ion-icon class="valid-status-icon" [class.valid]="block.valid" name="{{ block.valid ? 'checkmark' : 'alert'}}"></ion-icon>
          </ion-col>
          <ion-col *ngIf="!dataService.coin"><span>{{ block.coin }}</span></ion-col>
          <ion-col><span>{{ block.poolName }}</span></ion-col>
          <ion-col class="transition" [class.changed]="hasChanged('ts', block)"><span>{{ block.ts | fromNow }}</span></ion-col>
          <ion-col class="transition" [class.changed]="hasChanged('height', block)"><span>{{ block.height | number:
              '2.'
              }}</span></ion-col>
          <ion-col class="transition" [class.changed]="hasChanged('diff', block)"><span>{{ block.diff | number: '2.' }}</span></ion-col>
          <ion-col>
            <div class="overflow-ellipsis hash-link-fix" [innerHTML]="block.hash | hashToLink: 'block'"></div>
          </ion-col>
          <ion-col class="transition" [class.changed]="hasChanged('shares', block)"><span>{{ block.shares | number:
              '2.'
              }}</span></ion-col>
          <ion-col class="transition" [class.changed]="hasChanged('unlocked', block)"><span>{{ block.unlocked }}</span></ion-col>
          <ion-col><span>{{ block.pool_type | poolType }}</span></ion-col>
        </ion-row>
      </ion-grid>
    </ng-container>
    <ng-container *ngIf="routing.blockSegment === 'my-pools'">
      <div class="needs-setup">
        <h1 text-center>Needs Setup</h1>
        <p>In this section, you can view only the blocks that come from pools in your pool collection. You currently do
          not have any pools in your pool collection. You can add a pool to your collection in the <a routerLink="/settings/pools">Settings</a>
          or by using
          the button below.</p>
        <div text-center>
          <ion-button (click)="addPool()" color="secondary" size="large">
            <ion-icon slot="start" name="add"></ion-icon>Add My First Pool
          </ion-button>
        </div>
      </div>
    </ng-container>
  </div>
  <app-legal-footer></app-legal-footer>
</ion-content>